// ImagerDlg.h : wb_[ t@C
//

#pragma once
#include "afxwin.h"
#include "WatermarkImgDlg.h"
#include "WatermarkStrDlg.h"
#include "ColorprofileDlg.h"
#include "ThreadDetailDlg.h"


// CImagerDlg _CAO
class CImagerDlg : public CDialog
{
// RXgNV
public:
	CImagerDlg(CWnd* pParent = NULL);	// WRXgN^

// _CAO f[^
	enum { IDD = IDD_IMAGER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV T|[g


// 
protected:
	HICON m_hIcon;

	// ꂽAbZ[W蓖Ċ֐
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
private:
	bool OutFileCheck();
	void PageBounds();
	void PageOrgSize(int pageNum);
	void PagePictSize(int pageNum);
	int	pdfVersion;
	int pageCount;
	WatermarkImgDlg		*wtmImgDlg;
	WatermarkStrDlg		*wtmStrDlg;
	ColorprofileDlg		*colorprofileDlg;
	ThreadDetailDlg		*threadDetailDlg;
public:
	CButton m_OkBtn;
	CButton m_InitBtn;
	CButton m_UninitBtn;
	CButton m_OpenDocBtn;
	CButton m_CloseDocBtn;
	CButton m_PageToPictBtn;
	CButton m_SingleFileChk;
	CButton m_InitFileChk;
	CButton m_InitFileRefBtn;
	CButton m_WtmImgChk;
	CButton m_WtmImgForegroundChk;
	CButton m_WtmImgFileRefBtn;
	CButton m_WtmImgDetailBtn;
	CButton m_WtmStrChk;
	CButton m_WtmStrForegroundChk;
	CButton m_OcgBtn;
	CButton m_WtmStrDetailBtn;
	CButton m_SplitPageChk;
	CButton m_EachPageChk;
	CButton m_ThreadDetailBtn;
	CButton m_AntiAliasPathChk;
	CButton m_AntiAliasTextChk;
	CButton m_FontInfoBtn;
	CButton m_ColorprofileBtn;
	CButton *m_TiffRb;
	CButton *m_JpegRb;
	CButton *m_PngRb;
	CButton *m_PageRangeRb;
	CButton *m_PageNumRb;
	CButton *m_AllPagesRb;
	CButton *m_ColorRb;
	CButton *m_GrayRb;
	CButton *m_DitherRb;
	CButton *m_BwRb;
	CButton *m_CompressNoneRb;
	CButton *m_CompressJpegRb;
	CButton *m_CompressDeflateRb;
	CButton *m_CompressLzwRb;
	CButton *m_UnitPercentRb;
	CButton *m_UnitInchRb;
	CButton *m_UnitMmRb;
	CButton	*m_MediaBoxRb;
	CButton	*m_CropBoxRb;
	CButton	*m_BleedBoxRb;
	CButton	*m_TrimBoxRb;
	CButton	*m_ArtBoxRb;
	CEdit m_LicStrEdt;
	CEdit m_FileNameEdt;
	CEdit m_OutFileEdt;
	CEdit m_DpiEdt;
	CEdit m_QualityEdt;
	CEdit m_PageListEdt;
	CEdit m_PictSizeXEdt;
	CEdit m_PictSizeYEdt;
	CEdit m_CvsSizeXEdt;
	CEdit m_CvsSizeYEdt;
	CEdit m_InitFileNameEdt;
	CEdit m_WtmImgFileNameEdt;
	CEdit m_WtmStringEdt;
	CEdit m_MinLineWidthEdt;
	CStatic m_PageSel;
	CStatic m_PageSize;
	CStatic m_PageRotate;
	CStatic m_OcgCount;
	CStatic m_PasswordEnc;
	CStatic m_DocTitle;
	CStatic m_NPages;
	CStatic m_ResultSize;
	CStatic m_DocVersion;
	CStatic m_PageBounds;
	CStatic m_mode;
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedJpegRb();
	afx_msg void OnBnClickedPngRb();
	afx_msg void OnBnClickedTiffRb();
	afx_msg void OnBnClickedInitBtn();
	afx_msg void OnBnClickedUninitBtn();
	afx_msg void OnBnClickedOpenDocBtn();
	afx_msg void OnBnClickedCloseDocBtn();
	afx_msg void OnBnClickedFileRefBtn();
	afx_msg void OnBnClickedPageToPictBtn();
	afx_msg void OnBnClickedPageRb();
	afx_msg void OnEnChangePageListEdt();
	afx_msg void OnBnClickedPageWholeRb();
	afx_msg void OnEnChangeDpiEdt();
	afx_msg void OnBnClickedOcgBtn();
	afx_msg void OnBnClickedWtmImgChk();
	afx_msg void OnBnClickedWtmImgDetailBtn();
	afx_msg void OnBnClickedWtmStrChk();
	afx_msg void OnBnClickedWtmStrDetailBtn();
	afx_msg void OnBnClickedFontInfoBtn();
	afx_msg void OnBnClickedInitFileChk();
	afx_msg void OnBnClickedColorprofileBtn();
	afx_msg void OnBnClickedTreadDetailBtn();
	afx_msg void OnBnClickedInitFileRefBtn();
	afx_msg void OnBnClickedResFileRefBtn();
	afx_msg void OnBnClickedWtmImgFileRefBtn();
};
